;  FASTCMD.LSP
;
;                         QUICK COMMAND version 2.0
;                   FASTCMD.LSP is a module of QUICK COMMAND
;                        Copyright 1989, 1990 Dan Jincks
;
;
;              This is SHAREWARE, it is NOT Public Domain software.
;
;              This code or any part of this code may not be reproduced
;              in any publication without prior written permission.
;
;              Printed copy of this code or any part of this code may not
;              be distributed without prior written permission.
;
;              Printed copy may only be made for reference purposes by
;              the end user.
;
;
;                               Dan Jincks
;                             Box 155A HCR 77
;                           Annapolis, MO 63620
;
;
;
;   You are granted a limited license to use FASTCMD.LSP for a 30 day trial
;   period.  If you wish to continue using any or all of QUICK COMMAND after
;   the trial period, you must become a registered user.  As a registered
;   user, you may use QUICK COMMAND on 1 workstation or terminal.
;   Additional registrations must be bought for each additional workstation or
;   terminal.  To become a registered user, fill out the order form that can
;   be printed out from ORDERQC.DOC .
;
;
;   You may send copies of QUICK COMMAND to friends and associates if you abide
;   by the following rules:
;
;   1. It may only be distributed in the original unmodified form.
;   2. All original files must be included.
;   3. No addition files may be added.
;   4. If other files will be on the same disk, QUICK COMMAND files must be in
;      a library format such as ".ARC" called "QUICKCMD", or else be put alone
;      in a subdirectory called "QUICKCMD".
;   5. You may not sell QUICK COMMAND or any part of it.
;   6. You are not allowed to charge more then $5 to cover the cost of copying
;      and distribution.
;   7. You may not distribute any hard copy of the contents of QUICK COMMAND.
;
;
;   These AutoLISP commands and functions are designed to save you time, and
;   saving time means saving money.  The registration fee is very modest
;   compared to the savings, and much less expensive then typical third party
;   AutoCAD software. Be sure to registar if you continue to use them.
;
;
;                                                               DAN
;
;
;
;
;        AutoCAD and AutoLISP are registered trade marks of Autodesk Inc.
;
;        ***************************************************************
;
;  Begin FASTCMD.LSP
;
 (setq SCMC 1)
;
(defun C:TMC ()
   (if (= SCMC nil)(setq SCMC 0))
   (setq SCMC (abs (- SCMC 1)))
   (if (= SCMC 0)
      (prompt "Menu calling is OFF.")
      (prompt "Menu calling is ON."))(princ)
)
;
(defun C:3DF()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=3DFACE")))
   (command "3DFACE"))
(defun C:3DM()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=3D")))
   (command "3DMESH"))
(defun C:3DP()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=3DPOLY")))
   (command "3DPOLY"))
(defun C:3DS()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=3D"))))
(defun C:A()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=ARC")))
   (command "ARC"))
(defun C:AA()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=AREA")))
   (command "AREA"))
(defun C:AY()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=ARRAY")))
   (command "ARRAY"))
(defun C:B()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=BREAK")))
   (command "BREAK"))
(defun C:BL()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=BLOCK")))
   (command "BLOCK"))
(defun C:C()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=COPY")))
   (command "COPY"))
(defun C:CH()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=CHANGE")))
   (command "CHANGE"))
(defun C:CF()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=CHAMFER")))
   (command "CHAMFER"))
(defun C:COL()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=COLOR")))
   (command "COLOR"))
(defun C:CP()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=CHPROP")))
   (command "CHPROP"))
(defun C:CR()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=CIRCLE")))
   (command "CIRCLE"))
(defun C:D()(command "DIST"))
(defun C:DT()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=DTEXT")))
   (command "DTEXT"))
(defun C:DD()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=DIVIDE")))
   (command "DIVIDE"))
(defun C:DL()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=DIMLINEAR")))
   (command "DIM"))
(defun C:DM()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=DIM")))
   (command "DIM"))
(defun C:DO()(command "DONUT"))
(defun C:DV()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=DVIEW")))
   (command "DVIEW"))
(defun C:E()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=ERASE")))
   (command "ERASE"))
(defun C:EDG()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=3D")))
   (command "EDGESURF"))
(defun C:EE()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=ELLIPSE")))
   (command "ELLIPSE"))
(defun C:EV()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=ELEVTHK")))
   (command "ELEV"))
(defun C:F()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=FILLET")))
   (command "FILLET"))
(defun C:G()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=GRID")))
   (command "GRID"))
(defun C:H()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=HATCH")))
   (command "HATCH"))
(defun C:I()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=INSERT")))
   (command "INSERT"))
(defun C:IS()(command "ISOPLANE"))
(defun C:L()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=LINE")))
   (command "LINE"))
(defun C:LA()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=LAYER")))
   (command "LAYER"))
(defun C:LI()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=LIST")))
   (command "LIST"))
(defun C:LM()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=LIMITS")))
   (command "LIMITS"))
(defun C:LT()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=LINETYPE")))
   (command "LINETYPE"))
(defun C:LTS()(command "LTSCALE"))
(defun C:M()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=MOVE")))
   (command "MOVE"))
(defun C:ME()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=MEASURE")))
   (command "MEASURE"))
(defun C:MI()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=MINSERT")))
   (command "MINSERT"))
(defun C:MR()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=MIRROR")))
   (command "MIRROR"))
(defun C:MSL()(command "MSLIDE"))
(defun C:O()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=OFFSET")))
   (command "OFFSET"))
(defun C:OS()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=OSNAPC")))
   (command "OSNAP"))
(defun C:P()(command "PAN"))
(defun C:PE()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=P0")))
   (command "PEDIT"))
(defun C:PG()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=POLYGON")))
   (command "POLYGON"))
(defun C:PL()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=PLINE")))
   (command "PLINE"))
(defun C:PT()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=POINT")))
   (command "POINT"))
(defun C:QY()(command "QTEXT" "ON"))
(defun C:QN()(command "QTEXT" "OFF"))
(defun C:R()(command "REDRAW"))
(defun C:RA()(command "REDRAWALL"))
(defun C:REV()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=3D")))
   (command "REVSURF"))
(defun C:RG()(command "REGEN"))
(defun C:RGA()(command "REGENALL"))
(defun C:RN()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=RENAME")))
   (command "RENAME"))
(defun C:RT()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=ROTATE")))
   (command "ROTATE"))
(defun C:RUL()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=3D")))
   (command "RULESURF"))
(defun C:SV()(command "SAVE" ""))
(defun C:S()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=SCALE")))
   (command "SCALE"))
(defun C:SCR()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=SCRIPT")))
   (command "SCRIPT"))
(defun C:SEL()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=SELECT")))
   (command "SELECT"))
(defun C:SK()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=SKETCH")))
   (command "SKETCH"))
(defun C:SN()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=SNAP")))
   (command "SNAP"))
(defun C:SO()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=SOLID")))
   (command "SOLID"))
(defun C:ST()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=STRETCH")))
   (command "STRETCH" "C"))
(defun C:SY()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=STYLE")))
   (command "STYLE"))
(defun C:T()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=TRIM")))
   (command "TRIM"))
(defun C:TAB()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=3D")))
   (command "TABSURF"))
(defun C:UC()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=UCS1")))
   (command "UCS"))
(defun C:UN()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=UNDO")))
   (command "UNDO"))
(defun C:VI()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=VIEW")))
   (command "VIEW"))
(defun C:VP()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=VPORTS")))
   (command "VPORTS"))
(defun C:VSL()(command "VSLIDE"))
(defun C:WB()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=WBLOCK")))
   (command "WBLOCK"))
(defun C:X()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=EXTEND")))
   (command "EXTEND"))
(defun C:XP()(command "EXPLODE"))
(defun C:Z()(if(= SCMC 1)(progn(menucmd "S=X")(menucmd "S=ZOOM")))
   (command "ZOOM"))
;
(defun C:CD() (command "CIRCLE" pause "dia"))
(defun C:EC() (command "ERASE" "Crossing" ))
(defun C:EL() (command "ERASE" "Last" ""))
(defun C:EW() (command "ERASE" "Window" ))
(defun C:F0() (command "FILLET" "R" "0" "FILLET"))
(defun C:II() (command "INSERT" pause pause "" ""))
(defun C:III() (command "INSERT" pause pause "" "" ""))
(defun C:PC() (command "PLAN" ""))
(defun C:PU() (command "PLAN" "U"))
(defun C:PW() (command "PLAN" "W"))
(defun C:U3() (command "UCS" "3"))
(defun C:UE() (command "UCS" "E"))
(defun C:UV() (command "UCS" "V"))
(defun C:UX() (command "UCS" "X"))
(defun C:UY() (command "UCS" "Y"))
(defun C:UZ() (command "UCS" "Z"))
(defun C:VD() (command "VIEW" "Delete"))
(defun C:VE() (command "VIEW" "R" "E"))
(defun C:VR() (command "VIEW" "Restore"))
(defun C:VS() (command "VIEW" "Save"))
(defun C:VV() (command "VIEW" "?"))
(defun C:V1() (command "VIEW" "R" "1"))
(defun C:V2() (command "VIEW" "R" "2"))
(defun C:V3() (command "VIEW" "R" "3"))
(defun C:V4() (command "VIEW" "R" "4"))
(defun C:ZE() (command "ZOOM" "E"))
(defun C:ZP() (command "ZOOM" "P"))
(defun C:ZW() (command "ZOOM" "W"))
;
(defun C:B1() (prompt " Break at a single point.")(terpri)
              (command "BREAK" pause "F" pause "@0,0"))
;
;   End FASTCMD.LSP
